﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL;
using DAL.Repositories;
using Models;

namespace ConsoleTestApp
{
    class Program
    {
        static void Main(string[] args)
        {
            var person = new Person
                         {
                             FirstName = "Andres",
                             LastName = "Käver",
                             Contacts = new List<Contact>
                                        {
                                            new Contact()
                                            {
                                                ContactValue = "akaver",
                                                ContactType = new ContactType()
                                                              {
                                                                  ContactTypeValue = "skype"
                                                              }
                                            },
                                            new Contact()
                                            {
                                                ContactValue = "+372 6543210",
                                                ContactType = new ContactType()
                                                              {
                                                                  ContactTypeValue = "telefon"
                                                              }
                                            }
                                        }
                         };
            using (var repo = new PersonRepository(new DataBaseContext()))
            {
                repo.Add(person);
                repo.Save();
                foreach (var person1 in repo.All)
                {
                    Console.WriteLine("Isik: "+
                        person1.FirstName+" "+
                        person1.LastName);
                }
            }
        }
    }
}
