﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using DAL.Interfaces;
using Models;

namespace DAL
{
    public class DataBaseContext : DbContext, IDbContext
    {
        public DataBaseContext() : base("DataBaseConnectionString")
        {
            Database.SetInitializer(
                new DropCreateDatabaseIfModelChanges<DataBaseContext>());
        }
        public DbSet<Person> Persons { get; set; }
        public DbSet<Contact> Contacts { get; set; }
        public DbSet<ContactType> ContactTypes { get; set; }

    }
}
